## ktp-filetransfer-handler 20.08.0

=== CMakeLists.txt ===
project (ktp-filetransfer-handler)

cmake_minimum_required(VERSION 2.8.12)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "0")
set(KTP_FILETRANSFER_HANDLER_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_MODULE_PATH})

find_package (KF5 REQUIRED COMPONENTS CoreAddons I18n KIO Config)
find_package (Qt5 REQUIRED COMPONENTS Core DBus Widgets)
find_package (KTp REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(FeatureSummary)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
ktp-filetransfer-handler (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch Vcs-* fields to salsa.debian.org.
  * Update the build dependencies according to the upstream build system:
    - bump libktp-dev to 20.08.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 22:11:24 +0200

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.3.0),
               gettext,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libktp-dev (>= 20.08.0~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-filetransfer-handler.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-filetransfer-handler

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_strip:
	dh_strip --dbgsym-migration='kde-telepathy-filetransfer-handler-dbg (<= 15.12.1-1~~)'

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## ktp-filetransfer-handler 20.08.1

=== debian/changelog ===
ktp-filetransfer-handler (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:59:45 +0100

ktp-filetransfer-handler (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:51:33 +0100

ktp-filetransfer-handler (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:42:06 +0100

ktp-filetransfer-handler (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:22:24 +0100

ktp-filetransfer-handler (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:40:32 +0100

ktp-filetransfer-handler (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 04 May 2020 10:26:25 +0100

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libktp-dev (>= 4:20.08.1~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-filetransfer-handler 20.12.3

=== debian/changelog ===
ktp-filetransfer-handler (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:27:06 +0000

ktp-filetransfer-handler (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:00:21 +0000

ktp-filetransfer-handler (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:14:20 +0000

ktp-filetransfer-handler (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:33:30 +0000

ktp-filetransfer-handler (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:57:29 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libktp-dev (>= 4:20.08.1~),
+               libktp-dev (>= 4:20.12.3~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),

## ktp-filetransfer-handler 21.08.1

=== debian/changelog ===
ktp-filetransfer-handler (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:39:03 +0100

ktp-filetransfer-handler (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:08:33 +0100

ktp-filetransfer-handler (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:02:42 +0100

ktp-filetransfer-handler (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:38:09 +0100

ktp-filetransfer-handler (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:49:45 +0100

ktp-filetransfer-handler (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:46:58 +0100

ktp-filetransfer-handler (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:13:22 +0100

ktp-filetransfer-handler (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:43:41 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libktp-dev (>= 4:20.12.3~),
+               libktp-dev (>= 4:21.08.1~),
                libtelepathy-logger-qt-dev,
                libtelepathy-qt5-dev (>= 0.9.3),
                pkg-kde-tools (>= 0.9),

## ktp-filetransfer-handler 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(KTP_FILETRANSFER_HANDLER_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 find_package(ECM 1.3.0 REQUIRED NO_MODULE)

=== debian/changelog ===
ktp-filetransfer-handler (21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Bump Standards-Version to 4.6.0, no change required.
  * Drop kde-l10n migration rules, not needed anymore.
  * Drop dbgsym migration rules, not needed anymore.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Apr 2022 00:13:28 +0200

ktp-filetransfer-handler (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:31:46 +0900

ktp-filetransfer-handler (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Fix up libktp-dev version.
  * Borrow minimal upstream signing key from k3b.
  * Update watch file for signatures.
  * Drop Kubuntu from maintainer name.
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 06 May 2021 10:48:51 +0900

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.3.0),
               gettext,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libktp-dev (>= 21.04.0~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-filetransfer-handler.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-filetransfer-handler

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-filetransfer-handler 22.08.1

=== debian/changelog ===
ktp-filetransfer-handler (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:46:04 +0100

ktp-filetransfer-handler (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:55:23 +0100

ktp-filetransfer-handler (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:33:13 +0100

ktp-filetransfer-handler (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:07:50 +0100

ktp-filetransfer-handler (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:06:56 +0100

ktp-filetransfer-handler (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:54:16 +0100

ktp-filetransfer-handler (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:16:50 +0000

ktp-filetransfer-handler (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key
  * Add signature support for debian/watch

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:23:26 +0000

ktp-filetransfer-handler (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:31:15 +0000

ktp-filetransfer-handler (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:28:22 +0000

ktp-filetransfer-handler (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:23:35 +0000

ktp-filetransfer-handler (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:30:48 +0000

ktp-filetransfer-handler (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:46:01 +0000

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libktp-dev (>= 4:22.08.1~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-filetransfer-handler 22.12.1

=== debian/changelog ===
ktp-filetransfer-handler (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:08:13 +0100

ktp-filetransfer-handler (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:14:52 +0100

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.6.0~),
               gettext,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libktp-dev (>= 21.04.0~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-filetransfer-handler.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-filetransfer-handler

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-filetransfer-handler 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(KTP_FILETRANSFER_HANDLER_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project (ktp-filetransfer-handler VERSION ${KTP_FILETRANSFER_HANDLER_VERSION})

find_package(ECM 1.6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

find_package (KF5 REQUIRED COMPONENTS CoreAddons I18n KIO Config)
find_package (Qt5 REQUIRED COMPONENTS Core DBus Widgets)
find_package (KTp REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(FeatureSummary)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ktp-filetransfer-handler (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:29 +0100

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
 
 Package: kde-telepathy-filetransfer-handler
 Architecture: any
-Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
-Recommends: kde-telepathy
+Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends},
+Recommends: kde-telepathy,
 Description: KDE Telepathy file transfer handler
  This package provides a helper application that handles telepathy
  file transfer operations inside a KDE Workspace.

## ktp-filetransfer-handler 23.04.1

=== debian/changelog ===
ktp-filetransfer-handler (4:23.04.1-0xneon+22.04+jammy+release+build17) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 14:14:48 +0000

ktp-filetransfer-handler (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:18:19 +0000

ktp-filetransfer-handler (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:45:10 +0000

ktp-filetransfer-handler (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:20:14 +0000

ktp-filetransfer-handler (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:56:47 +0000

ktp-filetransfer-handler (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:02:08 +0000

ktp-filetransfer-handler (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:25:19 +0000

ktp-filetransfer-handler (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:41:47 +0000

ktp-filetransfer-handler (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:09:40 +0000

ktp-filetransfer-handler (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:33:59 +0000

ktp-filetransfer-handler (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:30:44 +0000

ktp-filetransfer-handler (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:43:48 +0000

ktp-filetransfer-handler (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:05:36 +0000

ktp-filetransfer-handler (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:03:10 +0000

ktp-filetransfer-handler (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:14:26 +0000

ktp-filetransfer-handler (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:41:08 +0000

ktp-filetransfer-handler (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:29:51 +0000

ktp-filetransfer-handler (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:45:39 +0000

ktp-filetransfer-handler (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:00:04 +0000

ktp-filetransfer-handler (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:23:44 +0000

ktp-filetransfer-handler (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:56 +0000

ktp-filetransfer-handler (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:26:49 +0000

ktp-filetransfer-handler (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:18 +0000

ktp-filetransfer-handler (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:15:25 +0000

ktp-filetransfer-handler (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:20:53 +0000

ktp-filetransfer-handler (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:38:04 +0000

ktp-filetransfer-handler (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:13:02 +0000

ktp-filetransfer-handler (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:31:52 +0000

ktp-filetransfer-handler (4:20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:31:00 +0000

ktp-filetransfer-handler (4:20.08.0-0neon) bionic; urgency=medium

  [ Jonathan Riddell ]
  * Add epoch from ubuntu, new version

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:21:55 +0000

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0),
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libktp-dev (>= 17.08.3~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.7~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.4)
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: https://invent.kde.org/neon/kde/ktp-filetransfer-handler.git
Vcs-Browser: https://invent.kde.org/neon/kde/ktp-filetransfer-handler
Maintainer: Neon CI <neon@kde.org>

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-filetransfer-handler 23.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(KTP_FILETRANSFER_HANDLER_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== src/CMakeLists.txt ===
include_directories(${CMAKE_BINARY_DIR})

set(ktp_filetransfer_handler_SRCS
    main.cpp
    filetransfer-handler.cpp
    telepathy-base-job.cpp
    handle-incoming-file-transfer-channel-job.cpp
    handle-outgoing-file-transfer-channel-job.cpp
    ktp-fth-debug.cpp
)

configure_file(version.h.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

add_executable(ktp-filetransfer-handler ${ktp_filetransfer_handler_SRCS})

target_link_libraries(ktp-filetransfer-handler
            KTp::CommonInternals
            KF5::CoreAddons
            KF5::I18n
            KF5::KIOWidgets
            KF5::KIOFileWidgets
            KF5::ConfigCore
            Qt5::Core
            Qt5::DBus
            Qt5::Widgets
)

configure_file(org.freedesktop.Telepathy.Client.KTp.FileTransferHandler.service.in
        ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.FileTransferHandler.service)

install(TARGETS ktp-filetransfer-handler DESTINATION ${KDE_INSTALL_LIBEXECDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.KTp.FileTransferHandler.service
        DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
install(FILES KTp.FileTransferHandler.client DESTINATION ${KDE_INSTALL_DATAROOTDIR}/telepathy/clients/)

=== debian/changelog ===
ktp-filetransfer-handler (4:23.04.3-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:52 +1100

ktp-filetransfer-handler (4:23.04.3-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:27:00 +0000

ktp-filetransfer-handler (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:54:41 +0100

ktp-filetransfer-handler (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:01:10 +0100

ktp-filetransfer-handler (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:43:54 +0000

ktp-filetransfer-handler (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:26:10 -0600

ktp-filetransfer-handler (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:19:42 +0000

ktp-filetransfer-handler (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:15:29 +0000

ktp-filetransfer-handler (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:11:42 +0000

ktp-filetransfer-handler (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:54:38 +0000

ktp-filetransfer-handler (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:14:36 +0000

=== debian/control ===
Source: ktp-filetransfer-handler
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libktp-dev (>= 4:23.04.3~),
               libtelepathy-logger-qt-dev,
               libtelepathy-qt5-dev (>= 0.9.3),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-filetransfer-handler
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-filetransfer-handler

Package: kde-telepathy-filetransfer-handler
Architecture: any
Depends: kde-telepathy-data (>= 0.8.1), ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: kde-telepathy
Description: KDE Telepathy file transfer handler
 This package provides a helper application that handles telepathy
 file transfer operations inside a KDE Workspace.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-filetransfer-handler-dbg (<= 15.12.1-1~~)'
